org.apache.myfaces.trinidad.util.ref

## Class ReferencePseudoReference<T>

- java.lang.Object
- - org.apache.myfaces.trinidad.util.ref.ReferencePseudoReference<T>

- All Implemented Interfaces:
    PseudoReference<T>

      public final class ReferencePseudoReference<T>
      extends Object
      implements PseudoReference<T>

  Implementation of PseudoReference delegating to a Reference

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferencePseudoReference(Reference<T> reference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears this reference object.
    `boolean` | `enqueue()` Adds this reference object to the queue with which it is registered, if any.
    `T` | `get()` Returns this reference object's referent.
    `boolean` | `isEnqueued()` Tells whether or not this reference object has been enqueued, either by the program or by the garbage collector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferencePseudoReference

          public ReferencePseudoReference(Reference<T> reference)

  - ### Method Detail

    - #### get

          public T get()

      Returns this reference object's referent. If this reference object has been cleared, either by the program or by the garbage collector, then this method returns `null`.
      Specified by:
        `get` in interface `PseudoReference<T>`
      Returns:
        The object to which this reference refers, or `null` if this reference object has been cleared

    - #### clear

          public void clear()

      Clears this reference object. Invoking this method will not cause this object to be enqueued.

      This method is invoked only by Java code; when the garbage collector clears references it does so directly, without invoking this method.

      Specified by:
        `clear` in interface `PseudoReference<T>`

    - #### isEnqueued

          public boolean isEnqueued()

      Tells whether or not this reference object has been enqueued, either by the program or by the garbage collector. If this reference object was not registered with a queue when it was created, then this method will always return `false`.
      Specified by:
        `isEnqueued` in interface `PseudoReference<T>`
      Returns:
        `true` if and only if this reference object has been enqueued

    - #### enqueue

          public boolean enqueue()

      Adds this reference object to the queue with which it is registered, if any.

      This method is invoked only by Java code; when the garbage collector enqueues references it does so directly, without invoking this method.

      Specified by:
        `enqueue` in interface `PseudoReference<T>`
      Returns:
        `true` if this reference object was successfully enqueued; `false` if it was already enqueued or if it was not registered with a queue when it was created

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.